#ifndef FRAME_CPP_INTERFACE__FrMsg_HH
#define FRAME_CPP_INTERFACE__FrMsg_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/msg.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef Msg FrMsg;
  }
} // namespace - FrameCPP
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrMsg.hh"
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  typedef Version::FrMsg FrMsg;
}

#endif /* FRAME_CPP_INTERFACE__FrMsg_HH */
